Status: Closed Start date: Jan 10, 2018

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: TextCrowd - the new prototyping

environment 

  

Infrastructure: Production   

Description

I have been running both "ArchNER IT String" and "ArchNER IT File" algorithms on TextCrowd's DataMiner and the servers 2, 3 and

4 are failing but 0, 1 and 5 are working. (http://dataminerX-proto.d4science.org)

The error originates from this line in the script:

mono Steleto/STELETO.exe "-f" "-i:outputFileSaxon.nt" "-o:rdfXML.xml" "-t:EOSC.stg" "-p:language:it";

 This is the error message:

Error: Could not load type 'Antlr4.StringTemplate.TemplateGroupFile' from assembly 'Antlr4.StringTemplate,

Version=4.0.6.9004, Culture=neutral, PublicKeyToken=null'.

Error in eval(ei, envir) : object 'stoptheprocess' not found

Calls: source -> withVisible -> eval -> eval

Execution halted 

 The error tells me that it is unable to load the dll file "Antlr4.StringTemplate.dll". Perhaps there is an older version of mono on servers

2, 3 and 4?

Related issues:

Related to D4Science Infrastructure - Upgrade #10007: Update Mono on DataMiner Completed Oct 23, 2017

History

#1 - Feb 17, 2018 12:25 PM - Pasquale Pagano

- Tracker changed from Support to Task

#2 - Feb 17, 2018 01:37 PM - Andrea Dell'Amico

- Related to Upgrade #10007: Update Mono on DataMiner added

#3 - Feb 17, 2018 01:54 PM - Andrea Dell'Amico

- Status changed from New to In Progress

#4 - Feb 17, 2018 01:56 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

I did not find any discrepancies between the installed mono packages, but in the past weeks we solved a couple of problems related to the automatic

installation of requested packages. Can you try again?

#5 - Mar 01, 2018 09:44 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed
